

stages:
  - build

image: docker:latest

variables:
  X86_64_A4A_Basis_Dev_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-basis-dev:latest
  X86_64_A4A_Web_Dev_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-web-dev:latest
  X86_64_A4A_K0_CLI_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-k0-cli:latest
  X86_64_A4A_PIANO_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-piano:latest
  X86_64_A4A_K1_WUI_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-k1-wui:latest
  X86_64_A4A_APP1_WUI_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-app1-wui:latest
  X86_64_A4A_APP1SIMU_WUI_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-app1simu-wui:latest
  X86_64_A4A_Basis_S7_Dev_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-basis-s7-dev:latest
  X86_64_A4A_Web_S7_Dev_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-web-s7-dev:latest
  X86_64_A4A_K0_S7_Image_Tag: $CI_REGISTRY_IMAGE/x86-64-a4a-k0-s7:latest
  DOCKER_TLS_CERTDIR: "/certs"

services:
  - docker:dind

before_script:
  - docker info

build_X86_64_A4A_Basis_Dev_Image:
  stage: build
  script:
    - echo "the build_X86_64_A4A_Basis_Dev_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_Basis_Dev_Image_Tag ./docker/x86-64/x86-64-a4a-basis-dev
    - docker push $X86_64_A4A_Basis_Dev_Image_Tag

build_X86_64_A4A_Web_Dev_Image:
  stage: build
  needs: [build_X86_64_A4A_Basis_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_Web_Dev_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_Web_Dev_Image_Tag ./docker/x86-64/x86-64-a4a-web-dev
    - docker push $X86_64_A4A_Web_Dev_Image_Tag

build_X86_64_A4A_K0_CLI_Image:
  stage: build
  needs: [build_X86_64_A4A_Basis_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_K0_CLI_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_K0_CLI_Image_Tag ./docker/x86-64/x86-64-a4a-k0-cli
    - docker push $X86_64_A4A_K0_CLI_Image_Tag

build_X86_64_A4A_PIANO_Image:
  stage: build
  needs: [build_X86_64_A4A_Web_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_PIANO_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_PIANO_Image_Tag ./docker/x86-64/x86-64-a4a-piano
    - docker push $X86_64_A4A_PIANO_Image_Tag

build_X86_64_A4A_K1_WUI_Image:
  stage: build
  needs: [build_X86_64_A4A_Web_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_K1_WUI_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_K1_WUI_Image_Tag ./docker/x86-64/x86-64-a4a-k1-wui
    - docker push $X86_64_A4A_K1_WUI_Image_Tag

build_X86_64_A4A_APP1_WUI_Image:
  stage: build
  needs: [build_X86_64_A4A_Web_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_APP1_WUI_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_APP1_WUI_Image_Tag ./docker/x86-64/x86-64-a4a-app1-wui
    - docker push $X86_64_A4A_APP1_WUI_Image_Tag

build_X86_64_A4A_APP1SIMU_WUI_Image:
  stage: build
  needs: [build_X86_64_A4A_Web_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_APP1SIMU_WUI_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_APP1SIMU_WUI_Image_Tag ./docker/x86-64/x86-64-a4a-app1simu-wui
    - docker push $X86_64_A4A_APP1SIMU_WUI_Image_Tag

build_X86_64_A4A_Basis_S7_Dev_Image:
  stage: build
  needs: [build_X86_64_A4A_Basis_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_Basis_S7_Dev_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_Basis_S7_Dev_Image_Tag ./docker/x86-64/x86-64-a4a-basis-s7-dev
    - docker push $X86_64_A4A_Basis_S7_Dev_Image_Tag

build_X86_64_A4A_Web_S7_Dev_Image:
  stage: build
  needs: [build_X86_64_A4A_Web_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_Web_S7_Dev_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_Web_S7_Dev_Image_Tag ./docker/x86-64/x86-64-a4a-web-s7-dev
    - docker push $X86_64_A4A_Web_S7_Dev_Image_Tag

build_X86_64_A4A_K0_S7_Image:
  stage: build
  needs: [build_X86_64_A4A_Web_S7_Dev_Image]
  script:
    - echo "the build_X86_64_A4A_K0_S7_Image job ':' Hello, it's me !"
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull --tag=$X86_64_A4A_K0_S7_Image_Tag ./docker/x86-64/x86-64-a4a_k0_S7
    - docker push $X86_64_A4A_K0_S7_Image_Tag


